/* Подключение шрифтов */
@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Geologica:ital,wght@0,100..900;1,100..900&display=swap');

/* Глобальные переменные */
:root {
    /* -----------ЦВЕТА----------- */
    
    /* Фоновый цвет подвала */
    --footer_bg: #FFFFFF;
    /* Цвет секции интро */
    --intro_text: #FFFFFF;
    /* цвет фона ссылок на вк и тг */
    --tg_vk_bg: #414141;
    /* цвет текста ссылок на вк и тг */
    --tg_vk_text: #FFFFFF;
    /* Цвет текста в подвале */
    --footer_text: #000000;
    /* цвет бургер кнопки для темной темы */
    --burger-color: #FFFFFF;
    /* цвет текста для бургер-меню */
    --burger-menu-text: #FFFFFF;
    /* окраска тг и вк блоков при наведении */
    --tg-vk-hover: #3b3c3c;
    
    /* -----------СЕМЕЙСТВА ШРИФТОВ------------ */
    --font-family-MonteCarlo: "Montserrat", sans-serif;
    --font-family-Geografy: "Geologica", sans-serif;
    
    
    /* -----------КАРТИНКИ--------- */
    
    /* Фон для темной темы */
    --bg-image: url(../images/dark_bg.svg);
    /* иконка switch_butt для светлой темы */
    --switch-mode-img: url(../images/switch_theme_dark_mode.svg);
    
    /* ------------СТИЛИ ШРИФТОВ---------------- */
    --nav-style: italic;


    /* прозрачность для тг и вк блоков для темной темы */
    --tg-vk-opacity: none;
}

/* Переменные для СВЕТЛОЙ ТЕМЫ */
:root.light_mode {
    /* фон для светлой темы */
    --bg-image: url(../images/light_bg.svg);
    /* цвет текста в шапке и интро для светлой темы */
    --intro_text: #056FF7;
    /* фоны блоков тг и вк ссылок для светлой темы */
    --tg_vk_bg: #589FED;
    /* цвет бургер кнопки для светлой темы */
    --burger-color: #056FF7;
    /* цвет тг и вк блоков при наведении */
    --tg-vk-hover: #589FED;
    /* прозрачность тг и вк блоков для светлой темы */
    --tg-vk-opacity: 0.75;
}

/* меняем цвет крестика на белый для светлой темы 
для бургер-меню */
.burger_btn.active span {
    --burger-color: #FFFFFF;
}

/* подсвечивание "Бестиарий" в навигации для страниц клубов */
.com__link.prev {
    transition: all .25s ease;
    cursor: pointer;
}
.com__link.prev:hover {
    opacity: 0.25; 
}
.com__link {
    cursor: text;
}